#
# spec file for package opensnc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012-2014 openSUSE_user1
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _fname opensonic
Name:           opensnc
Version:        0.1.4
Release:        1.1
Summary:        Game based on Sonic the Hedgehog Universe
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://opensnc.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/Open%20Sonic/%{version}/%{name}-src-%{version}.tar.gz
# PATCH-FIX-UPSTREAM: fix build with linking allegro lib
Patch0:         %{name}-build-link-alleg.patch
BuildRequires:  cmake
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  pkgconfig(allegro)
BuildRequires:  pkgconfig(jpgalleg)
BuildRequires:  pkgconfig(loadpng)
BuildRequires:  pkgconfig(logg)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Open Sonic is an open-source game based on the "Sonic the Hedgehog" universe. It introduces a different style of gameplay called cooperative play, in which it's possible to control 3 characters simultaneously. Unlike most similar games, Open Sonic provides a greater level of interaction between the player and the levels. It's more than just a jump'n'run; the user must come up with some strategy in order to get through the levels.

%prep
%setup -q -n %{name}-src-%{version}
%patch0

%build
%configure
make %{?_smp_mflags}

%install
%make_install

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/%{_fname}/%{_fname} %{buildroot}%{_bindir}/

# remove docs - install later
rm -f %{buildroot}%{_datadir}/%{_fname}/license.txt
rm -f %{buildroot}%{_datadir}/%{_fname}/readme.html
rm -fr %{buildroot}%{_datadir}/%{_fname}/licenses

# fix encoding and remove executable bit from docs
sed -i 's/\r$//' license.txt licenses/*
chmod a-x license.txt readme.html licenses/*

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
cp -p icon.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{_fname}.png

# install .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_fname}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=Open Sonic
Exec=%{_fname}
Icon=%{_fname}
Terminal=false
Type=Application
Categories=Game;ActionGame;
StartupNotify=true
EOF

%fdupes %{buildroot}

%if 0%{?suse_version} > 1130
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root,-)
%doc license.txt readme.html licenses
%dir %{_datadir}/%{_fname}
%{_bindir}/%{_fname}
%{_datadir}/icons/hicolor/128x128/apps/%{_fname}.png
%{_datadir}/applications/%{_fname}.desktop
%{_datadir}/%{_fname}/*

%changelog
* Wed May 25 2016 mailaender@opensuse.org
- use https://en.opensuse.org/SourceUrls
- pkgconfig dependencies
- add missing desktop macros
* Fri Jul 13 2012 devel.openSUSE.org@gmail.com
- Initial package creation - version 0.1.4
- repack source by bzip2
- added opensnc-build-link-alleg.patch
